summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/linux-pupdate.sh66
-rwxr-xr-xweb/update12
2 files changed, 72 insertions, 6 deletions
diff --git a/bin/linux-pupdate.sh b/bin/linux-pupdate.sh
new file mode 100755
index 0000000..f746194
--- /dev/null
+++ b/bin/linux-pupdate.sh
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+set -e
+
+for DSC in ${@}
+do
+ pupdate.sh "${DSC}" || true
+ git commit -a
+
+ git checkout debian
+ cp -a debian DEB
+
+ git checkout progress-linux
+ rm -rf debian/build debian/linux-image* debian/linux-headers*
+ cp -f DEB/control* DEB/linux-image* DEB/linux-headers* DEB/rules.gen debian
+ cp -f DEB/tests/control debian/tests
+
+ if [ -e DEB/config.defines.dump ]
+ then
+ # linux 6.6 or older
+ cp -f DEB/config.defines.dump debian
+ fi
+
+ if git slog | grep -qs 'Setting abiname to [0-9]*'
+ then
+ # debian 12 or older
+ vi debian/config/defines
+ fi
+
+ rm -rf DEB
+ git add . -f
+ git commit -a -s -S --amend -C HEAD
+
+ if git slog | grep -qs 'Setting abiname to [0-9]*'
+ then
+ # debian 12 or older
+ ABINAME_COMMIT="$(git slog | grep -m1 'Setting abiname to ' | awk '{ print $1 }')"
+
+ if [ -z "${ABINAME_COMMIT}" ]
+ then
+ echo "error - could not find abiname commit"
+ exit 1
+ fi
+
+ git cherry-pick ${ABINAME_COMMIT} || ( vi debian/config/defines && git commit -a )
+ git commit -a -s -S -C HEAD --amend --reset-author --allow-empty
+ else
+ # debian 13 or newer
+ echo "trixie or newer: no need to manually set abiname"
+ fi
+
+ git-debian-changelog HEAD~3
+ git-progress-linux-release
+
+ git diff debian..HEAD
+
+ rm -f debian/linux-image-* debian/linux-headers-*
+ debian/rules debian/control || true
+ git add . -f
+ rm -rf debian/lib/python/debian_linux/__pycache__
+ git commit -a -s -S -m "Regenerating debian files."
+
+ git rebase -i HEAD~3
+ git reset HEAD~
+ git-progress-linux-release
+done
diff --git a/web/update b/web/update
index 895e52f..fe5fcc9 100755
--- a/web/update
+++ b/web/update
@@ -17,9 +17,9 @@ MODE="$(basename ${0} | awk -F. '{ print $2 }')"
case "${MODE}" in
engywuck)
- # FIXME
- UPSTREAM_DISTRIBUTIONS="buster buster-updates buster-proposed-updates"
+ UPSTREAM_DISTRIBUTIONS="buster buster-security buster-updates buster-proposed-updates"
DOWNSTREAM_DISTRIBUTION="engywuck"
+ DOWNSTREAM_DISTRIBUTIONS="engywuck engywuck-security engywuck-updates"
DOWNSTREAM_MIRROR="https://apt.progress-linux.org/packages"
DOWNSTREAM_TAG="progress"
;;
@@ -131,7 +131,7 @@ Download_upstream_indices ()
do
case "${DISTRIBUTION}" in
*-security)
- if wget -q -O /dev/null "${UPSTREAM_MIRROR_SECURITY}/dists/${DISTRIBUTION}/updates/Release"
+ if wget -q -O /dev/null "${UPSTREAM_MIRROR_SECURITY}/dists/$(echo ${DISTRIBUTION} | sed -e 's|-security||')/updates/Release"
then
for SECTION in ${UPSTREAM_SECTIONS}
do
@@ -141,13 +141,13 @@ Download_upstream_indices ()
case "${ARCHITECTURE}" in
source)
- wget -q -O - "${UPSTREAM_MIRROR_SECURITY}/dists/${DISTRIBUTION}/updates/${SECTION}/${ARCHITECTURE}/Sources.xz" | xz -d >> "upstream.${MODE}.sources"
+ wget -q -O - "${UPSTREAM_MIRROR_SECURITY}/dists/$(echo ${DISTRIBUTION} | sed -e 's|-security||')/updates/${SECTION}/${ARCHITECTURE}/Sources.xz" | xz -d >> "upstream.${MODE}.sources"
;;
*)
- if wget -q -O /dev/null "${UPSTREAM_MIRROR_SECURITY}/dists/${DISTRIBUTION}/updates/${SECTION}/binary-${ARCHITECTURE}/Packages.xz"
+ if wget -q -O /dev/null "${UPSTREAM_MIRROR_SECURITY}/dists/$(echo ${DISTRIBUTION} | sed -e 's|-security||')/updates/${SECTION}/binary-${ARCHITECTURE}/Packages.xz"
then
- wget -q -O - "${UPSTREAM_MIRROR_SECURITY}/dists/${DISTRIBUTION}/updates/${SECTION}/binary-${ARCHITECTURE}/Packages.xz" | xz -d >> "upstream.${MODE}.binaries"
+ wget -q -O - "${UPSTREAM_MIRROR_SECURITY}/dists/$(echo ${DISTRIBUTION} | sed -e 's|-security||')/updates/${SECTION}/binary-${ARCHITECTURE}/Packages.xz" | xz -d >> "upstream.${MODE}.binaries"
fi
;;
esac